using System;
using System.Security.Principal;

internal sealed class Delegate603 : MulticastDelegate
{
	public extern IdentityReference Invoke(object object_0, Type type_0);

	public static IdentityReference smethod_0(object object_0, Type type_0, Delegate603 delegate603_1)
	{
		return delegate603_1(object_0, type_0);
	}

	public extern Delegate603(object object_0, IntPtr intptr_0);

	static Delegate603()
	{
		Class10.smethod_13(typeof(Delegate603).TypeHandle);
	}

	internal static Delegate603 delegate603_0;
}
